For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
        • GETList Live Items
        • GETGet Live Item
        • POSTCreate Live Items
        • PATCHUpdate Live Items
        • DELUnpublish Live Items
  • Forms
  • Custom Code
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
CMSCollection ItemsLive Items

Update Live Items

PATCH
https://api.webflow.com/v2/collections/:collection_id/items/live
PATCH
/v2/collections/:collection_id/items/live
$curl -X PATCH "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/live?skipInvalidFiles=true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "items": [
> {
> "id": "66f6ed9576ddacf3149d5ea6",
> "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
> "fieldData": {
> "name": "Ne Paniquez Pas",
> "slug": "ne-paniquez-pas",
> "featured": false
> }
> },
> {
> "id": "66f6ed9576ddacf3149d5ea6",
> "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
> "fieldData": {
> "name": "No Entrar en Pánico",
> "slug": "no-entrar-en-panico",
> "featured": false
> }
> },
> {
> "id": "66f6ed9576ddacf3149d5eaa",
> "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
> "fieldData": {
> "name": "Au Revoir et Merci pour Tous les Poissons",
> "slug": "au-revoir-et-merci",
> "featured": false
> }
> },
> {
> "id": "66f6ed9576ddacf3149d5eaa",
> "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
> "fieldData": {
> "name": "Hasta Luego y Gracias por Todo el Pescado",
> "slug": "hasta-luego-y-gracias",
> "featured": false
> }
> }
> ]
>}'
1{
2 "items": [
3 {
4 "id": "66f6ed9576ddacf3149d5ea6",
5 "lastPublished": "2024-09-27T17:38:29.066Z",
6 "lastUpdated": "2024-09-27T17:38:29.066Z",
7 "createdOn": "2024-09-27T17:38:29.066Z",
8 "fieldData": {
9 "name": "Ne Paniquez Pas",
10 "slug": "ne-paniquez-pas",
11 "featured": false
12 },
13 "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
14 "isArchived": false,
15 "isDraft": false
16 },
17 {
18 "id": "66f6ed9576ddacf3149d5ea6",
19 "lastPublished": "2024-09-27T17:38:29.066Z",
20 "lastUpdated": "2024-09-27T17:38:29.066Z",
21 "createdOn": "2024-09-27T17:38:29.066Z",
22 "fieldData": {
23 "name": "No Entrar en Pánico",
24 "slug": "no-entrar-en-panico",
25 "featured": false
26 },
27 "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
28 "isArchived": false,
29 "isDraft": false
30 },
31 {
32 "id": "66f6ed9576ddacf3149d5eaa",
33 "lastPublished": "2024-09-27T17:38:29.066Z",
34 "lastUpdated": "2024-09-27T17:38:29.066Z",
35 "createdOn": "2024-09-27T17:38:29.066Z",
36 "fieldData": {
37 "name": "Au Revoir et Merci pour Tous les Poissons",
38 "slug": "au-revoir-et-merci",
39 "featured": false
40 },
41 "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
42 "isArchived": false,
43 "isDraft": false
44 },
45 {
46 "id": "66f6ed9576ddacf3149d5eaa",
47 "lastPublished": "2024-09-27T17:38:29.066Z",
48 "lastUpdated": "2024-09-27T17:38:29.066Z",
49 "createdOn": "2024-09-27T17:38:29.066Z",
50 "fieldData": {
51 "name": "Hasta Luego y Gracias por Todo el Pescado",
52 "slug": "hasta-luego-y-gracias",
53 "featured": false
54 },
55 "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
56 "isArchived": false,
57 "isDraft": false
58 }
59 ],
60 "pagination": {
61 "limit": 25,
62 "offset": 0,
63 "total": 4
64 }
65}
Update a single published item or multiple published items (up to 100) in a Collection <Tip title="Localization Tip">Items will only be updated in the primary locale, unless a `cmsLocaleId` is included in the request.</Tip> Required scope | `CMS:write`
Was this page helpful?
Previous

Unpublish Live Items

Next
Built with

Update a single published item or multiple published items (up to 100) in a Collection

Localization Tip
Items will only be updated in the primary locale, unless a cmsLocaleId is included in the request.

Required scope | CMS:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Query parameters

skipInvalidFilesbooleanOptionalDefaults to true
When true, invalid files are skipped and processing continues. When false, the entire request fails if any file is invalid.

Request

Details of the live items to update
itemslist of objectsOptional

Response

Request was successful
itemslist of objects
List of Items within the collection

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error